% Generated by roxygen2 (4.0.1): do not edit by hand
\name{normalize}
\alias{normalize}
\title{Normalizes numeric data to a given scale.}
\usage{
normalize(x, method = "standardize", range = c(0, 1), margin = 1L)
}
\arguments{
\item{x}{[\code{numeric} | \code{matrix} | \code{data.frame}]\cr
Input vector.}

\item{method}{[\code{character(1)}]\cr
Normalizing method. Available are:\cr
\dQuote{center}: Subtract mean.\cr
\dQuote{scale}: Divide by standard deviation.\cr
\dQuote{standardize}: Center and scale.\cr
\dQuote{range}: Scale to a given range.\cr}

\item{range}{[\code{numeric(2)}]\cr
Range for method \dQuote{range}.
Default is \code{c(0,1)}.}

\item{margin}{[\code{integer(1)}]\cr
1 = rows, 2 = cols.
Same is in \code{\link{apply}}
Default is 1.}
}
\value{
[\code{numeric} | \code{matrix} | \code{data.frame}].
}
\description{
Currently implemented for numeric vectors, numeric matrices and data.frame.
For matrixes one can operate on rows or columns
For data.frames, only the numeric columns are touched, all others are left unchanged.
}
\seealso{
\code{\link{scale}}
}

